#include <bits/stdc++.h>
using namespace std;
ifstream f1("DQNP.INP");
ofstream f2("DQNP.OUT");
void XUATNP(int n)
{
    if(n>0)
    {
        XUATNP(n/2);
        f2<<n%2;
    }
}
int main()
{
    int n;
    f1>>n;
    XUATNP(n);
    return 0;
}
